Bug 91508 - creating article leads to exception
creating article leads to exception
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-23 11:27 EDT by Bryan Che
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 16:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2003-05-23 11:27:47 EDT
Dennis tried creating an article on my server at changelist 31576 and got the error:

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
poweredge1650-000-ext.boston.redhat.com:80:55a428ae:f5558b4135 -*-*-*-
-*-*-*- Message: Value of item is null. -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,text/css,*/*;q=0.1
Accept-Encoding: gzip, deflate, compress;q=0.9
Accept-Language: en-us, en;q=0.50
Connection: keep-alive
Cookie: JSESSIONID=ay2yiiX_2CSc;
ad_user_login=23!1148310115431!txQr3agJ8TeFa+TCok07Yg==
Host: poweredge1650-000-ext.boston.redhat.com
Keep-Alive: 300
Referer:
http://poweredge1650-000-ext.boston.redhat.com/ccm/content-center/?bbp.v=1&bbp.3.pane=0&bbp.s=3&bbp.e=select&g11n.enc=ISO-8859-1
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US; rv:1.0.1)
Gecko/20021104 Chimera/0.6

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: ay2yiiX_2CSc (expires: -1)
ad_user_login: 23!1148310115431!txQr3agJ8TeFa+TCok07Yg== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-

java.lang.IllegalStateException: Value of item is null.
        at com.arsdigita.util.Assert.assertTrue(Unknown Source)(Inlined Compiled
Code)
        at com.arsdigita.util.Assert.assertNotNull(Unknown Source)(Compiled Code)
        at com.arsdigita.cms.CMSContext.getContentItem(Unknown Source)
        at com.arsdigita.cms.user.ItemIndexPage.getFolder(Unknown Source)
        at com.arsdigita.cms.user.ItemIndexPage.access$300(Unknown Source)
        at com.arsdigita.cms.user.ItemIndexPage$TitlePrinter.prepare(Unknown Source)
        at com.arsdigita.bebop.Label.firePrintEvent(Unknown Source)
        at com.arsdigita.bebop.Page$1.initialValue(Unknown Source)
        at com.arsdigita.bebop.RequestLocal.get(Unknown Source)
        at com.arsdigita.bebop.Page.getTitle(Unknown Source)
        at com.arsdigita.bebop.Page.generateXMLHelper(Unknown Source)
        at com.arsdigita.bebop.Page.generateXML(Unknown Source)
        at com.arsdigita.bebop.Page.buildDocument(Unknown Source)
        at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(Unknown Source)
        at com.arsdigita.cms.CMSExcursion.run(Unknown Source)
        at com.arsdigita.cms.dispatcher.CMSPage.dispatch(Unknown Source)
        at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(Unknown Source)
        at com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(Unknown
Source)
        at com.arsdigita.dispatcher.DispatcherChain.dispatch(Unknown Source)
        at com.arsdigita.cms.ContentSectionServlet.doService(Unknown Source)
        at com.arsdigita.web.BaseApplicationServlet$1.excurse(Unknown Source)
        at com.arsdigita.kernel.KernelExcursion.run(Unknown Source)
        at com.arsdigita.web.BaseApplicationServlet.doService(Unknown Source)
        at com.arsdigita.web.BaseServlet$1.excurse(Unknown Source)
        at com.arsdigita.kernel.KernelExcursion.run(Unknown Source)
        at com.arsdigita.web.BaseServlet.internalService(Unknown Source)
        at com.arsdigita.web.BaseServlet.doGet(Unknown Source)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
        at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
        at com.caucho.server.http.Invocation.service(Invocation.java:315)
        at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:225)
        at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:106)
        at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:83)
        at com.arsdigita.web.BaseDispatcher.forward(Unknown Source)
        at com.arsdigita.web.BaseDispatcher.forward(Unknown Source)
        at com.arsdigita.web.BaseDispatcher.dispatch(Unknown Source)
        at com.arsdigita.web.DispatcherServlet.service(Unknown Source)
        at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
        at com.caucho.server.http.Invocation.service(Invocation.java:315)
        at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:246)
        at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:164)
        at com.caucho.server.TcpConnection.run(TcpConnection.java:139)
        at java.lang.Thread.run(Thread.java:513)

-*-*-*- Section: Request summary -*-*-*-
Context path:
Request URI: /ccm/content/index/
Query string: g11n.enc=ISO-8859-1
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ISO-8859-1
file.encoding.pkg: sun.io
file.separator: /
invokedviajava:
java.assistive: ON
java.awt.fonts:
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/var/ccm-devel/web/root/ccm_dev/webapps/ccm/WEB-INF/lib/jaas.jar:/var/ccm-devel/web/root/ccm_dev/webapps/ccm/WEB-INF/lib/jce.jar:/var/ccm-devel/web/root/c\
cm_dev/webapps/ccm/WEB-INF/lib/sunjce_provider.jar:/opt/apps/oracle/product/9.2.0/jdbc/lib/classes12.zip:/opt/resin/2.1.8/lib/resin.jar:/opt/resin/2.1.8/lib/jdbc2_0-stdext\
.jar:/opt/resin/2.1.8/lib/jta-spec1_0_1.jar:/opt/resin/2.1.8/lib/jndi.jar:/opt/resin/2.1.8/lib/dom.jar:/opt/resin/2.1.8/lib/sax.jar:/opt/resin/2.1.8/lib/jaxp.jar:/opt/resi\
n/2.1.8/lib/jmx.jar:/opt/resin/2.1.8/lib/webutil.jar:/opt/resin/2.1.8/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/opt/resin/2.1.8/\
lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20030329 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/apps/oracle/product/9.2.0/lib:/opt/apps/oracle/product/9.2.0/ctx/lib:/usr/lib:/usr/loca\
l/lib:/opt/apps/oracle/product/9.2.0/JRE/lib/linux/native_threads:/opt/resin/2.1.8/libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug:
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20030329 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator:

org.xml.sax.driver: com.caucho.xml.Xml
os.arch: x86
os.name: Linux
os.version: 2.4.9-e.3smp
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /opt/resin/2.1.8
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /sun.io.unicode.encoding: UnicodeLittle
user.dir: /opt/resin/2.1.8
user.home: /root
user.language: en
user.name: root
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-
opt/IBMJava2-131/jre/bin

Note You need to log in before you can comment on or make changes to this bug.